From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Camm Maguire <camm@debian.org>
Date: May, 26 2026 13:24:55 +0000
Subject: [PATCH] <short summary of the patch>

TODO: Put a short summary on the line above and replace this paragraph
with a longer explanation of this change. Complete the meta-information
with other relevant fields (see below for details). To make it easier, the
information below has been extracted from the changelog. Adjust it or drop
it.

---
The information above should follow the Patch Tagging Guidelines, please
checkout https://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: (upstream|backport|vendor|other), (<patch-url>|commit:<commit-id>)
Bug: <upstream-bugtracker-url>
Bug-<Vendor>: <vendor-bugtracker-url>
Forwarded: (no|not-needed|<patch-forwarded-url>)
Applied-Upstream: <version>, (<commit-url>|commit:<commid-id>)
Reviewed-By: <name and email of someone who approved/reviewed the patch>

--- axiom-20210105dp1.orig/books/bookvol8.pamphlet
+++ axiom-20210105dp1/books/bookvol8.pamphlet
@@ -26902,7 +26902,7 @@ connect_to_local_server(char *server_nam
   memset(server[1].addr.u_addr.sa_data, 0,
          sizeof(server[1].addr.u_addr.sa_data));
   sock->addr.u_addr.sa_family = AF_UNIX;
-  strcpy(sock->addr.u_addr.sa_data, name);
+  strncpy(sock->addr.u_addr.sa_data,name,sizeof(sock->addr.u_addr.sa_data)-1);
   for(i=0; i<max_con; i++) {
     code = connect(sock->socket, &sock->addr.u_addr,
                    sizeof(sock->addr.u_addr));
